@import "description.scss";

.wrapper {
  @include content;
  background: white;
  display: grid;
  grid-row-gap: 40px;
  margin-bottom: 60px;
  padding: 100px 0;

  @include tablet {
    margin-bottom: 0;
    grid-row-gap: 30px;
    padding: 60px 0;
  }

  @include mobile{
    padding: 40px 20px;
  }
}

.title {
  @include h2;

  @include tablet {
    @include tablet_title_text;
  }

  @include mobile {
    @include m-h1;
  }
}

.cars {
  display: grid;
  grid-column-gap: 20px;
  grid-row-gap: 40px;
  margin-bottom: 40px;
  grid-template-columns: repeat(8, 1fr);

  @include tablet {
    grid-template-columns: repeat(6, 1fr);
  }

  @include mobile {
    grid-template-columns: repeat(4, 1fr);
  }

  @include mobile-small {
    grid-template-columns: repeat(3, 1fr);
  }

  &.hidden {
    margin-bottom: 0;

    @include tablet {
      height: 220px;
      overflow: hidden;
    }

    @include mobile {
      height: 200px;
    }
  }
}

.show_button {
  width: 296px;
  margin: auto;
  display: none;

  @include tablet {
    display: block;
  }

  @include mobile {
    width: 200px;
  }
}
